Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 376803 - Correct logic to determine if nsDocAccessible is focusable
: Correct logic to determine if nsDocAccessible is focusable
: access
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla10
Assigned To: alexander :surkov
: alexander :surkov
Depends on: 673958
Blocks: statea11y keya11y
  Show dependency treegraph
Reported: 2007-04-07 12:41 PDT by Aaron Leventhal
Modified: 2011-09-29 08:17 PDT (History)
3 users (show)
surkov.alexander: in‑testsuite+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Description Aaron Leventhal 2007-04-07 12:41:58 PDT
Right now in nsDocAccessible::GetState() we have a hack to determine if a document is focusable. We consider all HTML docs focusable and all XUL docs unfocusable.

We need a better way. A XUL <iframe> could contain a scrollable XUL document, which should be focusable (we better make sure it is!) I was not able to find a way to use frame->IsFocusable() to find out if a doc is focusable.
Comment 1 Aaron Leventhal 2007-04-07 12:44:41 PDT
Also, this is a follow-up from bug 375747. The new focusable check for nsDocAccessible comes from that fix.
Comment 2 David Bolter [:davidb] 2009-06-16 11:49:52 PDT
Mass un-assigning bugs assigned to Aaron.
Comment 3 David Bolter [:davidb] 2009-09-18 12:02:58 PDT
Editable frames should be focusable too, presumably.
Comment 4 alexander :surkov 2011-09-28 02:16:47 PDT
fixed by bug 673958
Comment 5 Marco Zehe (:MarcoZ) 2011-09-29 08:17:20 PDT
Verified fixed and by inspecting the mochitests from bug 673958 in Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0a1) Gecko/20110929 Firefox/10.0a1.

Note You need to log in before you can comment on or make changes to this bug.